# azure.mgmt.cdn package

## Submodules

- azure.mgmt.cdn.models module
- azure.mgmt.cdn.operations module

## Module contents

class `azure.mgmt.cdn.``CdnManagementClient`(credentials, subscription_id, base_url=None)

  Bases: `azure.mgmt.cdn.operations._cdn_management_client_operations.CdnManagementClientOperationsMixin`, `msrest.service_client.SDKClient`

  Cdn Management Client

  Variables:

  - config (CdnManagementClientConfiguration) – Configuration for client.
  - profiles (azure.mgmt.cdn.operations.ProfilesOperations) – Profiles operations
  - endpoints (azure.mgmt.cdn.operations.EndpointsOperations) – Endpoints operations
  - origins (azure.mgmt.cdn.operations.OriginsOperations) – Origins operations
  - custom_domains (azure.mgmt.cdn.operations.CustomDomainsOperations) – CustomDomains operations
  - resource_usage (azure.mgmt.cdn.operations.ResourceUsageOperations) – ResourceUsage operations
  - operations (azure.mgmt.cdn.operations.Operations) – Operations operations
  - edge_nodes (azure.mgmt.cdn.operations.EdgeNodesOperations) – EdgeNodes operations
  - policies (azure.mgmt.cdn.operations.PoliciesOperations) – Policies operations
  - managed_rule_sets (azure.mgmt.cdn.operations.ManagedRuleSetsOperations) – ManagedRuleSets operations

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – Azure Subscription ID.
  - base_url (str) – Service URL

class `azure.mgmt.cdn.``CdnManagementClientConfiguration`(credentials, subscription_id, base_url=None)

  Bases: `msrestazure.azure_configuration.AzureConfiguration`

  Configuration for CdnManagementClient Note that all parameters used to create this instance are saved as instance attributes.

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – Azure Subscription ID.
  - base_url (str) – Service URL